# $Revision: 1.13 $, $Date: 2001/09/07 10:05:06 $
Summary:	A utility for converting amounts from one unit to another
Summary(de):	Einheitenkonvertierungsprogramm
Summary(es):	Programas de conversin de unidades
Summary(fr):	Programme de conversion d'units
Summary(pt_BR):	Programas de converso de unidades
Summary(tr):	Birim dntrme program
Name:		units
Version:	1.74
Release:	1
License:	GPL
Group:		Applications/Engineering
Group(de):	Applikationen/Ingenieurwesen
Group(pl):	Aplikacje/Inynierskie
Source0:	ftp://ftp.gnu.org/pub/gnu/units/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-FHS.patch
Patch3:		%{name}-use_sys_geopt.patch
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Units converts an amount from one unit to another, or tells you what
mathematical operation you need to perform to convert from one unit to
another. Units can only handle multiplicative scale changes (i.e., it
can't tell you how to convert from Celsius to Fahrenheit, which
requires an additive step in addition to the multiplicative
conversion).

Units is a handy little program which contains a large number of
conversions, from au's to parsecs and tablespoons to cups. You
probably don't need to install it, but it comes in handy sometimes.

%description -l de
Das Programm 'units' konvertiert Mengenausdrcke in verschiedenen
Mastben in die entsprechenden Werte des anderen Mastabs um. Das
Programm kann nur multiplikative Mastabsnderungen verarbeiten.

%description -l es
El programa units convierte expresiones de cantidad en varias escalas
para sus equivalentes en otras escalas. Solamente puede manipular
cambios multiplicativos de escala.

%description -l fr
Le programme units convertit des quantits exprimes en diffrents
systmes en leur quivalents sous d'autres systmes. Il ne peut grer
que les changements multiplicatifs de systmes.

%description -l pt_BR
O programa units converte expresses de quantidade em vrias escalas
para seus equivalentes em outras escalas. Ele somente pode manipular
mudanas multiplicativas de escala.

%description -l tr
units program, eitli birimlerdeki byklkleri baka birimlere
evirir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
aclocal
autoconf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/units
%{_datadir}/misc/units.dat
%{_mandir}/man1/*
%{_infodir}/*info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: units.spec,v $
Revision 1.13  2001/09/07 10:05:06  kloczek
- updated to 1.74,
- added translations stolen from CNV,
- added FHS patch (units.dat is now in %%{_datadir}/misc),
- added use_sys_getopt patch for use getopt() from libc.

Revision 1.12  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/05/22 02:05:17  kloczek
- release 12: added missing %post/%postun with run /usr/sbin/fix-info-dir.

Revision 1.9  2001/04/13 00:56:43  kloczek
- release 11,
- added missing BuildRequires rule with readline-devel,
- rebuild against readline 4.2.

Revision 1.8  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.7  2000/07/26 20:54:03  kloczek
- release 10,
- added DESTDIR style %install (added alsoDESTDIR patch),
- fixed info index entry (added info patch),
- added de, fr, tr translations from old BeroLinux spec,
- some cosmetics.

Revision 1.6  2000/06/29 10:17:29  zagrodzki
- updated to 1.55
- adapterized

Revision 1.5  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:48  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0
